# serverlessDeploymentOperation

Represents a serverless deployment operation, capturing details about the deployment of a serverless function.

### Examples

```graphql
type ServerlessDeploymentOperation {
  userIdentity: ServerlessDeploymentUserIdentity
  deploymentTime: String
  sourceIPAddress: String
  userAgent: String
  connectedFromConsole: String
  location: String
  linkToCode: String
  functionName: String
  functionArn: String
  internalFunctionName: String
  cloudRegion: String
  version: String
  revisionId: String
  codeSha256: String
  entryPoint: String
  codeSize: Int
  memorySize: Int
  timeout: Int
  runtime: String
  runtimeVersionConfig: ServerlessDeploymentRuntimeVersionConfig
  architectures: [String]
  role: String
  recipientAccountId: String
  description: String
}
```

### Fields

| Field                                                                                                                                                                        | Description                                                    | Supported fields                                                                                                                                                                                                                                                                          |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| userIdentity [`ServerlessDeploymentUserIdentity`](/api-documentation/api-reference/api--issue/types/objects/serverless-deployment-user-identity.md)                          | User identity that performed the deployment                    | <p>type <code>String</code><br>principalId <code>String</code><br>arn <code>String</code><br>accountId <code>String</code><br>accessKeyId <code>String</code><br>sessionContext <a href="/pages/udS5RQEdQca3BykQWnVM"><code>ServerlessDeploymentUserIdentitySessionContext</code></a></p> |
| deploymentTime `String`                                                                                                                                                      | Timestamp of the deployment                                    |                                                                                                                                                                                                                                                                                           |
| sourceIPAddress `String`                                                                                                                                                     | Source IP address of the deployment request                    |                                                                                                                                                                                                                                                                                           |
| userAgent `String`                                                                                                                                                           | User agent of the deployment request                           |                                                                                                                                                                                                                                                                                           |
| connectedFromConsole `String`                                                                                                                                                | Indicates if the deployment was performed from the AWS console |                                                                                                                                                                                                                                                                                           |
| location `String`                                                                                                                                                            | Location of the deployed code (e.g., S3)                       |                                                                                                                                                                                                                                                                                           |
| linkToCode `String`                                                                                                                                                          | Link to the source code in the console                         |                                                                                                                                                                                                                                                                                           |
| functionName `String`                                                                                                                                                        | Name of the Lambda function                                    |                                                                                                                                                                                                                                                                                           |
| functionArn `String`                                                                                                                                                         | ARN of the Lambda function                                     |                                                                                                                                                                                                                                                                                           |
| internalFunctionName `String`                                                                                                                                                | Internal name of the function                                  |                                                                                                                                                                                                                                                                                           |
| cloudRegion `String`                                                                                                                                                         | AWS region of the deployment                                   |                                                                                                                                                                                                                                                                                           |
| version `String`                                                                                                                                                             | Version of the Lambda function                                 |                                                                                                                                                                                                                                                                                           |
| revisionId `String`                                                                                                                                                          | Revision ID of the function                                    |                                                                                                                                                                                                                                                                                           |
| codeSha256 `String`                                                                                                                                                          | SHA256 hash of the deployment package                          |                                                                                                                                                                                                                                                                                           |
| entryPoint `String`                                                                                                                                                          | Entry point/handler of the function                            |                                                                                                                                                                                                                                                                                           |
| codeSize `Int`                                                                                                                                                               | Size of the deployment package in bytes                        |                                                                                                                                                                                                                                                                                           |
| memorySize `Int`                                                                                                                                                             | Memory allocated to the function in MB                         |                                                                                                                                                                                                                                                                                           |
| timeout `Int`                                                                                                                                                                | Function timeout in seconds                                    |                                                                                                                                                                                                                                                                                           |
| runtime `String`                                                                                                                                                             | Runtime environment of the function                            |                                                                                                                                                                                                                                                                                           |
| runtimeVersionConfig [`ServerlessDeploymentRuntimeVersionConfig`](/api-documentation/api-reference/api--issue/types/objects/serverless-deployment-runtime-version-config.md) | Configuration of the runtime version                           | runtimeVersionArn `String`                                                                                                                                                                                                                                                                |
| architectures `[String]`                                                                                                                                                     | CPU architecture of the function                               |                                                                                                                                                                                                                                                                                           |
| role `String`                                                                                                                                                                | IAM role ARN associated with the function                      |                                                                                                                                                                                                                                                                                           |
| recipientAccountId `String`                                                                                                                                                  | Account ID of the recipient                                    |                                                                                                                                                                                                                                                                                           |
| description `String`                                                                                                                                                         | Description of the Lambda function                             |                                                                                                                                                                                                                                                                                           |

### References

#### Fields with this object:

* [{} Issue.serverlessDeploymentOperation](/api-documentation/api-reference/api--issue/types/objects/issue.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/serverless-deployment-operation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
